#pragma once
#include "textures.hpp"
#include <guecs/ui.hpp>
#include <memory>

namespace gui {
  class MiniMapUI {
    public:
      guecs::Text $map_grid;
      guecs::UI $gui;
      std::shared_ptr<sf::Font> $font = nullptr;

      MiniMapUI();
      void init(guecs::UI& overlay);
      void render(sf::RenderWindow &window, int compass_dir);
  };
}
